Wallets, tokens & networks

Create Token Type New

Creates a token type on an org network after uniqueness checks, enabling the network when the token is enabled.

POSThttps://api.toku.com/stablecoin-payroll/create-token-type-new

Not available to API keys yet. It will need wallets:write.

curl --request POST \
  --url 'https://api.toku.com/stablecoin-payroll/create-token-type-new' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "string",
  "currencyCode": "string",
  "networkID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "isTokenEnabled": true,
  "enabledForPayrollType": "ON_CYCLE",
  "address": "string",
  "decimalPlaces": 0,
  "logoURI": "string",
  "coinMarketCapID": "string"
}'
200 response
{
  "tokenType": {
    "tokenTypeID": "string",
    "name": "string",
    "currencyCode": "string",
    "icon": "string",
    "orgID": "string",
    "enabledForPayrollType": "string",
    "networkID": "string",
    "address": "string",
    "decimalPlaces": 0,
    "coinMarketCapID": "string",
    "createdAt": "string",
    "isTokenEnabled": true,
    "isContractorDefault": true,
    "defaultTokenSlug": "string",
    "catalogTokenDeploymentID": "string"
  }
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

namestringrequired

Allowed: at least 1 characters

currencyCodestringrequired

Allowed: at least 1 characters

networkIDstring<uuid>required
isTokenEnabledboolean
enabledForPayrollTypestring

Available options: ON_CYCLE, OFF_CYCLE, INVOICE_PAYMENT

addressstring
decimalPlacesinteger

Allowed: 0 to 18

logoURIstring<uri>
coinMarketCapIDstring

Response

200Successful response
tokenTypeobjectrequired
Show child attributes
tokenTypeIDstringrequired
namestringrequired
currencyCodestringrequired
iconstring | nullrequired
orgIDstringrequired
enabledForPayrollTypestring | nullrequired
networkIDstringrequired
addressstring | nullrequired
decimalPlacesinteger | nullrequired
coinMarketCapIDstring | nullrequired
createdAtstringrequired
isTokenEnabledboolean | nullrequired
isContractorDefaultbooleanrequired
defaultTokenSlugstring | nullrequired
catalogTokenDeploymentIDstring | nullrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits